local Lib = MissionMinderPreLoad;
local DEBUG = Lib.debug;
Lib.callbacks = Lib.callbacks or LibStub("CallbackHandler-1.0"):New(Lib)

Lib.tracker = {};
local module = Lib.tracker;


local SECONDS = 1
local MINUTES = 60 * SECONDS
local HOURS = 60 * MINUTES
local DAYS = 24 * HOURS


local function getPlayerName()
	return GetUnitName("player") .. "-" .. GetRealmName()
end


local function trackGarrisonCache(event, quanity)
	local now = GetTime()
	local currentPlayer = getPlayerName()
	local lastLooted = MissionMinderGlobals.GarrisonCacheLooted[currentPlayer]
	MissionMinderGlobals.GarrisonCacheLooted[currentPlayer] = now

	if ( lastLooted ) then
		local estimatedAmount = (now - lastLooted) / (10 * MINUTES)
		print(string.format("GarrisonCache estimated: %d actual: %d", estimated, quanity));
	else
		print("GarrisonCache acutal:", quanity);
	end
end

local function initialize()
	DEBUG("   |cffffffffpreload-Tracker|r initialized");

	-- Track garrison cache across multiple characters
	Lib.RegisterCallback("tracker", "GARRISON_CACHE_LOOTED", trackGarrisonCache)
end

local events = Lib.events
events:RegisterEvent("tracker", "ADDON_LOADED", initialize);
