local Lib = MissionMinderPreLoad;
local DEBUG = Lib.debug;
Lib.callbacks = Lib.callbacks or LibStub("CallbackHandler-1.0"):New(Lib)

Lib.hooks = {};
local module = Lib.hooks;


local GARRISON_CACHE = 10
local function garrisonCacheLooted(event, ...)
	local typeIdentifier, itemLink, quantity, specID, sex, isPersonal, lootSource = ...;
	if ( lootSource == GARRISON_CACHE ) then
		Lib.callbacks:Fire("GARRISON_CACHE_LOOTED", quantity)
	end
end

--[===[@alpha@
local function debugEvent(...)
	print("[EVENT]", ...)
end
--@end-alpha@]===]

local function initialize()
	DEBUG("   |cffffffffpreload-Hooks|r initialized");

	-- GARRISON_CACHE_LOOTED
	events:RegisterEvent("hooks", "SHOW_LOOT_TOAST", garrisonCacheLooted)

	--[===[@alpha@
	Lib.RegisterCallback("_hooks", "GARRISON_CACHE_LOOTED", debugEvent)
	--@end-alpha@]===]
end

local events = Lib.events
events:RegisterEvent("hooks", "ADDON_LOADED", initialize);
