local Lib = MissionMinderPreLoad;
local DEBUG = MissionMinderPreLoad.debug;


MissionMinderPreLoadGlobals = {};
local MissionMinderPreLoadGlobals_DEFAULT = {
	["GarrisonCacheLooted"] = {}
};

local function initialize()
	DEBUG("   |cffffffffpreload-Options|r initialized");

	-- SavedVariables have been loaded, rewrite to include any new or missing values
	for key,value in pairs(MissionMinderPreLoadGlobals_DEFAULT) do
		if MissionMinderPreLoadGlobals[key] == nil then
			MissionMinderPreLoadGlobals[key] = value;
		end
	end

	-- Rewrite to remove any deprecated settings
	for key,value in pairs(MissionMinderPreLoadGlobals) do
		if MissionMinderPreLoadGlobals_DEFAULT[key] == nil then
			MissionMinderPreLoadGlobals[key] = nil;
		end
	end
end

local events =  Lib.events
events:RegisterEvent("main", "ADDON_LOADED", initialize);
